Page MenuHomeFreeBSD

audio/cplay: Update to 1.50
ClosedPublic

Authored by woodsb02 on Jul 12 2016, 10:44 PM.

Details

Summary

audio/cplay: Update to 1.50

  • Switch to GH account used by Debian
  • Update patch-cplay to remove upstreamed changes and add mpv support

Release notes: https://github.com/hukka/cplay/blob/v1.50/ChangeLog

Test Plan

poudriere testport audio/cplay

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 4695
Build 4749: arc lint + arc unit

Event Timeline

woodsb02 updated this revision to Diff 18345.Jul 12 2016, 10:44 PM
woodsb02 retitled this revision from to audio/cplay: Update to 1.50.
woodsb02 updated this object.
woodsb02 edited the test plan for this revision. (Show Details)
woodsb02 added reviewers: adamw, mat, koobs.
woodsb02 added a subscriber: stas.
adamw added inline comments.Jul 12 2016, 11:12 PM
audio/cplay/Makefile
15–19

See this message from koobs about python:2. Do you want python:2.7+ here?

woodsb02 added inline comments.Jul 12 2016, 11:35 PM
audio/cplay/Makefile
15–19

Fair question. However this software is not on PyPI and gives no details as to what python versions are supported. The changelog last discussed python support when they added python 2.0 support, and removed python 1.5 support (no mention of if python 1.6 is still supported, which it once was).

Koobs: thoughts?

mat edited edge metadata.Jul 19 2016, 3:33 PM

Maybe you could add non default options to add RUN_DEPENDS on the various audio players ?

woodsb02 updated this revision to Diff 18898.Jul 30 2016, 8:02 AM
woodsb02 edited edge metadata.

As per suggestion from mat, add off-by-default runtime dependency options
for supported audio players.

mat accepted this revision.Jul 31 2016, 8:50 AM
mat edited edge metadata.

Looks good to me.

audio/cplay/Makefile
15–19
This revision is now accepted and ready to land.Jul 31 2016, 8:50 AM
koobs added inline comments.Jul 31 2016, 8:58 AM
audio/cplay/Makefile
15–19

Looks like the cplay-ng[1] package forked to add features including Python 3 support

You want USES=python:-2.7

[1] https://pypi.python.org/pypi/cplay-ng/

koobs requested changes to this revision.Jul 31 2016, 9:00 AM
koobs edited edge metadata.

If it depends on the python2 symlink, either shebangfix it, or add an explicit RUN_DEPENDS on lang/python2 because both :-2.7 *and* :2 can't be set at the same time iirc

This revision now requires changes to proceed.Jul 31 2016, 9:00 AM
woodsb02 updated this revision to Diff 18992.Aug 3 2016, 11:04 AM
woodsb02 edited edge metadata.
  • Change to USES=python:-2.7 (thanks for advice from koobs, indeed testing with python3 failed)
  • shebangfix need for python symlink (thanks for advice from koobs)
  • Fix build of French translation (new patch)
koobs added a comment.Aug 3 2016, 11:10 AM

Lgtm, commit log message needs updating to reflect all changes and rationale (if necessary)

koobs accepted this revision.Aug 3 2016, 11:10 AM
koobs edited edge metadata.
This revision is now accepted and ready to land.Aug 3 2016, 11:10 AM
This revision was automatically updated to reflect the committed changes.